#ifndef MENU_H
#define MENU_H

#import <string>

#import "TextMessage.h"
#import "Event.h"
#import "KeyboardEvent.h"
#import "AI.h"

class Menu : public TextMessage {
	public:
		Menu(string message);
		~Menu();
		
		int eventHandler(Event *e);
		void kbd(KeyboardEvent *p_keyboard_event);
		
		void draw();
	private:
		AI::Difficulty difficulty;
		int boardSize;
};
#endif //MENU_H
