/*
	Box.cpp
	Written by Cordell Zebrose
*/

#include "Box.h"

////////////////////////////////////////////////////////

// Create a box with the default values
Box::Box() {
	corner.setX(0);
	corner.setY(0);
	horizontal = 0;
	vertical = 0;
}// Box

////////////////////////////////////////////////////////////

// Create a box with the values sent to the arguments
Box::Box(Position new_corner, int new_horiz, int new_vert) {
	corner = new_corner;
	horizontal = new_horiz;
	vertical = new_vert;
}// Box

////////////////////////////////////////////////////////////

Box::~Box() {
}// ~Box

//////////////////////////////////////////////////////////

// modify/get the Box properties

void Box::setCorner(Position new_corner) {
	corner = new_corner;
}// setCorner

void Box::setHorizontal(int new_horiz) {
	horizontal = new_horiz;
}// setHoriz

void Box::setVertical(int new_vert) {
	vertical = new_vert;
}// setVert

Position Box::getCorner() {
	return corner;
}// getCorner

int Box::getHorizontal() {
	return horizontal;
}// getHoriz

int Box::getVertical() {
	return vertical;
}// getVert
