/*
  Position.cpp
  Written by Cordell Zebrose
*/

#include "Position.h"

////////////////////////////////////////////////////////////////

// make a Position at location x,y
Position::Position(int init_x, int init_y) {
	x = init_x;
	y = init_y;
}// Position::Position

///////////////////////////////////////////////////////////////
		
// create a default Position at 0,0
Position::Position() {
	x = 0;
	y = 0;
}// Position::Position

////////////////////////////////////////////////////////////////

Position::~Position() {
}// Position::~Position

/////////////////////////////////////////////////////////////////

int Position::getX() {
	return x;
}// Position::getX

////////////////////////////////////////////////////////////////

int Position::getY() {
	return y;
}// Position::getY

/////////////////////////////////////////////////////////////////

void Position::setX(int new_x) {
	x = new_x;
}// Position::setX

///////////////////////////////////////////////////////////////

void Position::setY(int new_y) {
	y = new_y;
}// Position::setY
