/*
  Frame.h
  Written by Cordell Zebrose
  
  Frame is a structure for holding the contents of a
	single frame of animation.
*/

#ifndef _FRAME_H_
#define _FRAME_H_

#include <string>

class Frame {
	protected:
		int width;
		int height;
		std::string frame_str;
		
	public:
		Frame();
		Frame(int new_width, int new_height, std::string frame_str);
		int getWidth();
		void setWidth(int new_width);
		int getHeight();
		void setHeight(int new_height);
		std::string getString();
		void setString(std::string new_frame_str);
};// Frame

#endif // _FRAME_H_
