/*
  KeyboardEvent.h
  Written by Cordell Zebrose
  
  KeyboardEvent is the Event created when a key 
	on the keyboard is pressed.
*/

#ifndef _KEYBOARD_EVENT_H_
#define _KEYBOARD_EVENT_H_

#include "Event.h"

#define KEYBOARD_EVENT "keyboard"

class KeyboardEvent : public Event {
	private:
		int key_val;
		
	public:
		KeyboardEvent();
		void setKey(int new_key);
		int getKey();
};// KeyboardEvent

#endif // _KEYBOARD_EVENT_H_
