/*
  CollisionEvent.cpp
  Written by Cordell Zebrose
*/

#include "CollisionEvent.h"

////////////////////////////////////////////////////////////////////

CollisionEvent::CollisionEvent() {
}// CollisionEvent

////////////////////////////////////////////////////////////////////

CollisionEvent::CollisionEvent(GameObject *p_o1, GameObject *p_o2, Position p) {
	setType(COLLISION_EVENT);

	p_obj1 = p_o1;
	p_obj2 = p_o2;
	pos = p;
}//CollisionEvent
		
//////////////////////////////////////////////////////////////////
		
GameObject *CollisionEvent::getObj1() {
	return p_obj1;
}// getObj1

GameObject *CollisionEvent::getObj2() {
	return p_obj2;
}// getObj2

void CollisionEvent::setObj1(GameObject *p_new_obj1) {
	p_obj1 = p_new_obj1;
}// setObj1

void CollisionEvent::setObj2(GameObject *p_new_obj2) {
	p_obj2 = p_new_obj2;
}// setObj2
		
Position CollisionEvent::getPos() {
	return pos;
}// getPos

void CollisionEvent::setPos(Position new_pos) {
	pos = new_pos;
}// setPos
