/*
  MouseEvent.cpp
  Written by Cordell Zebrose
*/

#include "MouseEvent.h"

/////////////////////////////////////////////////////////

MouseEvent::MouseEvent() {
	setType(MOUSE_CLICK_EVENT);
	mouse_action = UNDEFINED;
	mouse_x = 0;
	mouse_y = 0;
} //MouseEvent

////////////////////////////////////////////////////////////

// interact with mouse_action
void MouseEvent::setMouseAction(enum MouseActionList new_mouse_action) {
	mouse_action = new_mouse_action;
}// setMouseAction

enum MouseActionList MouseEvent::getMouseAction() {
	return mouse_action;
}// getMouseAction

///////////////////////////////////////////////////////////////

// interact with mouse_x & mouse_y
void MouseEvent::setMouseX(int new_x) {
	mouse_x = new_x;
}// setMouseX

void MouseEvent::setMouseY(int new_y) {
	mouse_y = new_y;
}// setMouseY

int MouseEvent::getMouseX() {
	return mouse_x;
}// getMouseX

int MouseEvent::getMouseY() {
	return mouse_y;
}// getMouseY

///////////////////////////////////////////////////////////////
